Read-only preview
You're browsing the public OpenAPI spec. Sign in to send live requests with your team's API key.
EVM Tokens (ERC-20)
Token Balances
GET
https://api.pinax.network/v1/evm/balances
Requires bearer token — sign in to inject your team’s key.
Supported networks (9)
Required parameters
| Name | Type | Description |
|---|---|---|
networkrequired query | Enum · 9 | The Graph Network ID for EVM networks https://thegraph.com/networks arbitrum-oneavalanchebasebschyperevmmainnetoptimismpolygonunichain e.g. mainnet |
addressrequired query | Address | Filter by address Single value or array of values* (separate multiple values with ,)*Plan restricted. e.g. 0xd8da6bf26964af9d7eed9e03e53415d37aa96045 |
Optional parameters
| Name | Type | Description |
|---|---|---|
contract query | Contract | Filter by contract address Single value or array of values* (separate multiple values with ,)*Plan restricted. e.g. 0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48 |
include_null_balances query | boolean | Include zero/null balances in results |
limit query | integer | Number of items* returned in a single request. *Plan restricted. |
page query | integer | Page number to fetch. Empty data array signifies end of results. |
Response
200 OK{ "data": [ { "last_update": "2025-10-08 07:49:47", "last_update_block_num": 23531651, "last_update_timestamp": 1759909787, "address": "0xd8da6bf26964af9d7eed9e03e53415d37aa96045", "contract": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48", "amount": "17058407780", "value": 17058.40778, "name": "USD Coin", "symbol": "USDC", "decimals": 6, "network": "mainnet" } ] }